=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::PickupsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'PickupsApi' do
  before do
    # run before each test
    @instance = Shippo::PickupsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PickupsApi' do
    it 'should create an instance of PickupsApi' do
      expect(@instance).to be_instance_of(Shippo::PickupsApi)
    end
  end

  # unit tests for create_pickup
  # Create a pickup
  # Creates a pickup object.
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [BasePickup] :body Shippo’s pickups endpoint allows you to schedule pickups with USPS and DHL Express for eligible shipments that you have already created.
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Pickup]
  describe 'create_pickup test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
